Bug 73313 - Draw doesn't support printing 2 A5 on 1 A4
Summary: Draw doesn't support printing 2 A5 on 1 A4
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
4.0.4.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Print-Dialog
  Show dependency treegraph
 
Reported: 2014-01-05 18:44 UTC by Mickael Istria
Modified: 2021-09-22 03:38 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot 2A5onA4.png (25.65 KB, image/png)
2014-07-21 07:43 UTC, pierre-yves samyn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mickael Istria 2014-01-05 18:44:33 UTC
Using LibreOffice Draw 4.0.4.2 on Ubuntu.
I try the following:
1. Create a new document
2. Use Format>Page to set it as A5
3. Create a big red rectangle on the whole page
4. Go to Print
5. Open properties for my printer and select A5 format in Landscape mode.
6. Select Page Layout>Page per sheet=2
7. Back to general, select Pages "1,1"
This should make the preview a full red pages since 2 copies of A5 document (red rectange) fit in the A4 sheet. Instead of this, I get 2 resized rectangles separated by some space.
The behaviour already looks awkward at step 5: the single rectange gets placed stangely and cropped whereas one would expect it either at the middle of the page or at the left, but not cropped.

The same process as explained above works fine with Writer. This bug seems specific to Draw.
Comment 1 pierre-yves samyn 2014-06-21 12:54:30 UTC
Hi

I think you can get what you want with step 
8: File> Print> LibreOffice Draw tab, Size: Fit to printable page

And I'm not sure to understand your step 5 (you want to print 2 A5 on A4)
In my opinion this step can be omitted.

Does that answer your question ?

I set status to NEEDINFO...

Regards
Pierre-Yves
Comment 2 Mickael Istria 2014-06-22 17:57:09 UTC
I can confirm the steps to reproduce I listed are showing an erroneous result. The only thing to change is that on step 5, I actually select A4 in Landscpe mode. Have you tried them?

I tried you suggestion of Fitting to the page size, but it only fits the second copy, on the right part of the page to a size that seems correct.
But since 2 Portrait A5 do exactly fit in on Landscape A4, I don't think a user would need to use the "Fit to printable page option".

> Does that answer your question ?

I don't think so. I still have the impression that what I reported is not a usage question, but an actual bug when trying to put 2 copies of same A5/Portrait on a A4/Landscape.
Comment 3 pierre-yves samyn 2014-07-21 07:43:06 UTC
Hi

I'm really sorry to respond so late, I just forgot.

(In reply to comment #2)
> I can confirm the steps to reproduce I listed are showing an erroneous
> result. The only thing to change is that on step 5, I actually select A4 in
> Landscpe mode. Have you tried them?

So, I understand better, but I can not reproduce your problem on windows 7/64 & Version: 4.3.0.3
Build ID: 08ebe52789a201dd7d38ef653ef7a48925e7f9f7

See the 2A5onA4.png screenshot.

Steps to reproduce:
1. Create a new document
2. Use Format>Page to set it as A5
3. Create a big red rectangle on the whole page
4. Go to Print
5. Open the *printer* properties, select A4 format in Landscape mode.
6. Select Page Layout>Page per sheet=2
7. Options tab check Use only paper size from printer
8. Back to general, select Pages "1,1"

Regards
Pierre-Yves
Comment 4 pierre-yves samyn 2014-07-21 07:43:35 UTC
Created attachment 103171 [details]
Screenshot 2A5onA4.png
Comment 5 Platypus 2015-08-08 06:50:00 UTC
The work around in LO4.4 doesn't work in LO5 - a regression?? Serious;y needs a fix with all the Linux talk about how several countries are moving to open source.
Comment 6 Hans 2016-09-13 01:14:53 UTC
Is this a duplicate of bug 70676?
Comment 7 QA Administrators 2018-07-29 02:39:02 UTC Comment hidden (obsolete)
Comment 8 Regina Henschel 2018-09-21 20:01:53 UTC
I think this is duplicate to bug 45701.
Comment 9 QA Administrators 2019-09-22 02:59:07 UTC Comment hidden (obsolete)
Comment 10 QA Administrators 2021-09-22 03:38:47 UTC
Dear Mickael Istria,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug